Skip to main content
GET
/
v1
/
product_medias
/
{id}
Retrieve
curl --request GET \
  --url https://{defaultHost}/v1/product_medias/{id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://{defaultHost}/v1/product_medias/{id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://{defaultHost}/v1/product_medias/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "e74b54e9-11e0-4f42-afce-e6e26e28fea9",
  "object": "product_media",
  "alt": null,
  "position": 0,
  "title": null,
  "url": null,
  "media": "51f20caf-87a9-4a48-b085-41ebadfd6c60",
  "product": "df679ffe-d57a-4756-9a0c-9ab053aaa338",
  "created_at": 1782485867,
  "updated_at": 1782485867
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Response

200 - application/json

Success

id
string | null

The UUID of the specific object.

object
string

A string describing the object type returned.

alt
string | null

The HTML alt attribute for the product media.

position
integer | null

The ordering position of this product media when displayed to customers.

title
string | null

The HTML title attribute for the product media.

url
string | null

Instead of attaching a Media record, a public URL can be set. If set, this URL will be used to serve the product media asset.

media

Expandable – The associated media ID.

product

Expandable – The associated product ID.

created_at
integer | null

Time at which the object was created. Measured in seconds since the Unix epoch.

updated_at
integer | null

Time at which the object was last updated. Measured in seconds since the Unix epoch.